package impl

import (
	"ai_scheduler/internal/data/model"
	"ai_scheduler/tmpl/dataTemp"
	"ai_scheduler/utils"
)

type AdviceAdvicerVersionImpl struct {
	dataTemp.DataTemp
}

func NewAdviceAdvicerVersionImpl(db *utils.Db) *AdviceAdvicerVersionImpl {
	return &AdviceAdvicerVersionImpl{
		DataTemp: *dataTemp.NewDataTemp(db, new(model.AiAdviceAdvicerVersion)),
	}
}
